{{#if this.hasIsVisible}}
  <label>{{capitalize (t 'isVisible')}}</label>

  <div class='pt-2 pb-3'>
    <div class='form-check form-check-inline'>
      <input
        type='radio'
        class='form-check-input'
        name='is-visible-{{this.id}}'
        id='is-visible-yes-{{this.id}}'
        {{on 'change' this.changeVisibility}}
        checked={{@value.isVisible}}
        value='yes'
      />
      <label
        class='form-check-label'
        for='is-visible-yes-{{this.id}}'
      >{{capitalize (t 'yes')}}</label>
    </div>

    <div class='form-check form-check-inline'>
      <input
        type='radio'
        class='form-check-input'
        name='is-visible-{{this.id}} '
        id='is-visible-no-{{this.id}}'
        {{on 'change' this.changeVisibility}}
        checked={{not @value.isVisible}}
        value='no'
      />
      <label
        class='form-check-label'
        for='is-visible-no-{{this.id}}'
      >{{capitalize (t 'no')}}</label>
    </div>
  </div>
{{/if}}

{{#if this.hasColor}}
  <label for='color-{{this.id}}'>{{capitalize (t 'color')}}</label>
  <Input::Style::Color
    @id='color-{{this.id}}'
    @class='icon-style-color'
    @value={{@value.color}}
    @onChange={{fn this.change 'color'}}
  />
{{/if}}

{{#if this.hasBorderColor}}
  <label for='border-color-{{this.id}}'>{{capitalize (t 'borderColor')}}</label>
  <Input::Style::Color
    @id='border-color-{{this.id}}'
    @class='icon-style-border-color'
    @value={{@value.borderColor}}
    @onChange={{fn this.change 'borderColor'}}
  />
{{/if}}

{{#if this.hasBackgroundColor}}
  <label for='background-color-{{this.id}}'>{{capitalize
      (t 'backgroundColor')
    }}</label>
  <Input::Style::Color
    @id='background-color-{{this.id}}'
    @class='icon-style-background-color'
    @value={{@value.backgroundColor}}
    @onChange={{fn this.change 'backgroundColor'}}
  />
{{/if}}

{{#if this.hasBorderWidth}}
  <label for='border-width-{{this.id}}'>{{capitalize (t 'borderWidth')}}</label>
  <div class='input-group mb-3'>
    <input
      type='number'
      value={{@value.borderWidth}}
      id='border-width-{{this.id}}'
      {{on 'change' (fn this.changeIntInput 'borderWidth')}}
      class='form-control icon-style-border-width'
      placeholder={{capitalize (t 'set an integer number')}}
    />
  </div>
{{/if}}

{{#if this.hasShowAsLineAfterZoom}}
  <label for='border-width-{{this.id}}'>{{capitalize
      (t 'showAsLineAfterZoom')
    }}</label>
  <div class='input-group mb-3'>
    <input
      type='number'
      value={{@value.showAsLineAfterZoom}}
      id='show-as-line-after-zoom-{{this.id}}'
      {{on 'change' (fn this.changeIntInput 'showAsLineAfterZoom')}}
      class='form-control icon-style-show-as-line-after-zoom'
      placeholder={{capitalize (t 'set an integer number')}}
    />
  </div>
{{/if}}

{{#if this.hasSize}}
  <label for='size-{{this.id}}'>{{capitalize (t 'size')}}</label>
  <div class='input-group mb-3'>
    <input
      type='number'
      value={{@value.size}}
      id='size-{{this.id}}'
      {{on 'change' (fn this.changeIntInput 'size')}}
      class='form-control icon-style-size'
      placeholder={{capitalize (t 'set an integer number')}}
    />
  </div>
{{/if}}

{{#if this.hasLineHeight}}
  <label for='line-height-{{this.id}}'>{{capitalize (t 'lineHeight')}}</label>
  <div class='input-group mb-3'>
    <input
      type='number'
      value={{@value.lineHeight}}
      id='line-height-{{this.id}}'
      {{on 'change' (fn this.changeFloatInput 'lineHeight')}}
      class='form-control icon-style-line-height'
      placeholder={{capitalize (t 'set a float number')}}
    />
  </div>
{{/if}}

{{#if (and this.hasOffsetX this.hasOffsetY)}}
  <div class='row mb-3'>
    <div class='col'>
      <label for='offset-x-{{this.id}}'>{{capitalize (t 'offsetX')}}</label>
      <input
        type='number'
        value={{@value.offsetX}}
        id='offset-x-{{this.id}}'
        {{on 'change' (fn this.changeIntInput 'offsetX')}}
        class='form-control icon-style-offset-x'
        placeholder={{capitalize (t 'set an integer number')}}
      />
    </div>

    <div class='col'>
      <label for='offset-y-{{this.id}}'>{{capitalize (t 'offsetY')}}</label>
      <input
        type='number'
        value={{@value.offsetY}}
        id='offset-y-{{this.id}}'
        {{on 'change' (fn this.changeIntInput 'offsetY')}}
        class='form-control icon-style-offset-Y'
        placeholder={{capitalize (t 'set an integer number')}}
      />
    </div>
  </div>
{{/if}}

{{#if this.hasShape}}
  <label for='shape-{{this.id}}'>{{capitalize (t 'shape')}}</label>
  <Input::Select
    @value={{@value.shape}}
    @list={{this.shapeList}}
    @onChange={{fn this.change 'shape'}}
    id='shape-{{this.id}}'
    class='form-control icon-style-shape mb-3'
  />
{{/if}}

{{#if (and this.hasText this.hasAlign)}}
  <div class='row mb-3'>
    <div class='col'>
      <label for='text-{{this.id}}'>{{capitalize (t 'text')}}</label>
      <Input::Select
        @value={{@value.text}}
        @list={{this.textList}}
        @onChange={{fn this.change 'text'}}
        id='text-{{this.id}}'
        class='form-control icon-style-text mb-3'
      />
    </div>

    <div class='col'>
      <label for='align-{{this.id}}'>{{capitalize (t 'align')}}</label>
      <Input::Select
        @value={{@value.align}}
        @list={{this.alignList}}
        @onChange={{fn this.change 'align'}}
        id='align-{{this.id}}'
        class='form-control icon-style-align mb-3'
      />
    </div>
  </div>
{{/if}}

{{#if (and this.hasBaseline this.hasWeight)}}
  <div class='row mb-3'>
    <div class='col'>
      <label for='baseline-{{this.id}}'>{{capitalize (t 'baseline')}}</label>
      <Input::Select
        @value={{@value.baseline}}
        @list={{this.baselineList}}
        @onChange={{fn this.change 'baseline'}}
        id='baseline-{{this.id}}'
        class='form-control icon-style-baseline mb-3'
      />
    </div>

    <div class='col'>
      <label for='weight-{{this.id}}'>{{capitalize (t 'weight')}}</label>
      <Input::Select
        @value={{@value.weight}}
        @list={{this.weightList}}
        @onChange={{fn this.change 'weight'}}
        id='weight-{{this.id}}'
        class='form-control icon-style-weight mb-3'
      />
    </div>
  </div>
{{/if}}

{{#if this.hasLineDash}}
  <label for='line-dash-{{this.id}}'>{{capitalize (t 'lineDash')}}</label>
  <div class='input-group mb-3'>
    <input
      type='text'
      value={{this.lineDash}}
      class='form-control icon-style-line-dash'
      {{on 'change' this.changeLineDash}}
      placeholder={{capitalize (t 'set a list of integers separated by comma')}}
      id='line-dash-{{this.id}}'
    />
  </div>
{{/if}}